# SourcePath: memstat/20170207dev
Summary: Virtual Memory utilization display
Name: sony-target-dev-memstat
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-memstat
Version: 1.0
Release: 12010001
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://ftp.debian.org/debian/pool/main/m/memstat
Source	  	: memstat_%{version}.tar.gz
Patch		: memstat-%{version}-makefile.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
Memstat lists all the processes, executables, and shared libraries that are using up virtual memory.

%package -n %{pkgname}
Summary: Virtual Memory utilization display
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Memstat lists all the processes, executables, and shared libraries that are using up virtual memory.

%prep
%setup -n memstat-1.0
%patch -p1

%build
%sony_target_dev_setup

PATH="$PATH"
make CC="$CC"

%install
%sony_target_dev_setup
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
DEB_BUILD_OPTIONS="--nostrip" make install prefix=%{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}
install memstat.1 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/memstat.1
# /etc is hardcoded
install memstat.conf %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}

### gzip -v9 %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_man_dir}/man?/*

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/memstat.conf
%{sony_target_dir}%{sony_target_dev_bin_dir}/memstat

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Fri Mar 29 2013 Sony Corporation
- Version update to 0.9

* Fri Apr 17 2009 Sony Corporation
- Updated to 6.x

* Thu Nov 06 2007 Sony Corporation
- change version number 0.4 -> 0.4.0.0.1

* Thu Oct 04 2007 Sony Corporation
- version-up 0.2 -> 0.4

* Tue May 10 2005 Sony Corporation
- modify symbolic links

* Fri Mar 25 2005 Sony Corporation
- add some links

* Fri Aug 27 2004 Sony Corporation - 0.2-1
- Conformed to 20040825-rule

* Fri Aug  6 2004 Sony Corporation - dev-memstat
- Initial build.

